%global perl_package_name Algorithm-Diff
Name:		perl-%{perl_package_name}
Version:	1.1903
Release:	14
Summary:	Compute `intelligent' differences between two files / lists
License:	GPL+ or Artistic
URL:		https://metacpan.org/pod/Algorithm::Diff
Source0:	https://cpan.metacpan.org/authors/id/T/TY/TYEMQ/%{perl_package_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	gcc git make
BuildRequires:	perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp) perl(Exporter) perl(integer)
BuildRequires:  perl(strict) perl(vars)
BuildRequires:  perl(Data::Dumper) perl(lib) perl(Test)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)

%description
This is a module for computing the difference between two files, two strings,
or any other two lists of things. It uses an intelligent algorithm similar to
(or identical to) the one used by the Unix "diff" program. It is guaranteed to
find the *smallest possible* set of differences.

%package_help

%prep
%autosetup -n %{perl_package_name}-%{version} -S git -p0

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=${RPM_BUILD_ROOT}
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root)
%doc Changes README *.pl
%{perl_vendorlib}/Algorithm

%files help
%{_mandir}/man3/*

%changelog
* Fri Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.1903-14
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: remove unnecessary files

* Thu Sep 26 2019 shenyangyang<shenyangyang4@huawei.com> - 1.1903-13
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package

* Fri Aug 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1903-12
- Package Init

